{
  "mercadoLiveRoutes": {
    "summary": {
      "total_routes": 3,
      "first_mile_count": 1,
      "line_haul_count": 1,
      "last_mile_count": 1
    },
    "first_mile": [
      {
        "id": 237968256,
        "routeType": "cross_docking",
        "type": "first_mile",
        "facilityId": "BRXSP10",
        "facilityName": "BRXSP10",
        "totalStops": 2,
        "pendingStops": 2,
        "successfulStops": 0,
        "failedStops": 0,
        "withProblemStops": 0,
        "partiallyCollectedStops": 0,
        "stopsPercentage": 0,
        "estimatedPackages": 401,
        "collectedPackages": 0,
        "preparedPackages": 0,
        "status": "active",
        "vehicleName": "TAS4J94",
        "vehicleType": "VUC Dedicado com Ajudante",
        "vehicleTypeID": 213,
        "vehicleLicensePlate": "TAS4J94",
        "driverId": 2264481,
        "driverName": "Fabio De Oliveira",
        "carrierName": "PRA LOG",
        "currentDay": true,
        "isPartiallyCollected": false,
        "performance": "0",
        "arrivedAtFacility": false,
        "inboundStarted": false,
        "wayToFacility": false,
        "warnings": [
          {
            "warning": "beep_delayed",
            "label": "Primeiro bipe com atraso"
          }
        ],
        "plannedStartTime": 1748361600,
        "plannedFinishTime": 1748370600,
        "initDate": 1748351864,
        "finishDate": 0,
        "loadedVolume": null,
        "firstStopDate": 1748361600,
        "notesQuantity": 0,
        "stopsToReattribute": 0
      }
    ],
    "line_haul": [
      {
        "carrier_id": 124442948,
        "carrier": "PRA LOG",
        "code": "LM_SMG14_EMG21_CPT_NM_OW",
        "date": "2025-05-25T16:00:00Z",
        "departure_date": "2025-05-25T16:48:47Z",
        "driver_id": 2272580,
        "drivers": [
          {
            "id": 2272580,
            "sequence": 1,
            "name": "Mateus Gabriel Silva De Oliveira"
          }
        ],
        "expected_departure_date": "2025-05-25T18:00:00Z",
        "finish_date": "2025-05-25T19:00:00Z",
        "id": 6236163,
        "incidents": [],
        "rostering_assign_id": 61500996,
        "route_section": 1,
        "site_id": "MLB",
        "status": "in_progress",
        "substatus": "delayed",
        "total_route": 1,
        "vehicle_id": 858903,
        "vehicle_license_plate": "RJN5G15",
        "vehicle_type": "Truck",
        "vehicles": [
          {
            "id": 858903,
            "sequence": 1,
            "license_plate": "RJN5G15",
            "is_traction": false
          }
        ],
        "route": 1,
        "general_status": "in_progress",
        "general_substatus": "delayed",
        "steps": [
          {
            "route_id": 6236163,
            "sequence": 1,
            "status": "in_progress",
            "substatus": "delayed",
            "origin": {
              "stop_id": 45667504,
              "status": "in_progress",
              "type": "service_center",
              "facility": "SMG14",
              "facility_id": "SMG14",
              "init_date": "2025-05-25T16:35:48Z",
              "finish_date": "2025-05-25T16:48:47Z",
              "expected_init_date": "2025-05-25T16:00:00Z",
              "expected_finish_date": "2025-05-25T18:00:00Z",
              "latitude": -20.06217,
              "longitude": -43.975365,
              "pickup": {
                "hu": 893,
                "shipment": 0,
                "total_items": 0,
                "accumulated_shipments": 893
              }
            },
            "destination": {
              "stop_id": 45667511,
              "status": "pending",
              "type": "exchange_point",
              "facility": "João Monlevade",
              "facility_id": "EMG21",
              "expected_init_date": "2025-05-25T19:00:00Z",
              "expected_finish_date": "2025-05-25T21:00:00Z",
              "latitude": -19.836262,
              "longitude": -43.177174,
              "arrival_estimation": {
                "expected_arrival_date": "2025-05-26T02:26:51Z",
                "computed_date": "2025-05-26T02:22:37Z",
                "distance_text": "1km803m",
                "distance_value": "1803"
              }
            }
          }
        ],
        "stops": [
          {
            "stop_id": 45667504,
            "status": "in_progress",
            "type": "service_center",
            "facility": "Smg14",
            "facility_id": "SMG14",
            "sequence": 1,
            "current": true,
            "total_handling_unit": 893,
            "total_packages": 893,
            "is_next_stop": false
          },
          {
            "stop_id": 45667511,
            "status": "pending",
            "type": "exchange_point",
            "facility": "EMG21 (João Monlevade)",
            "facility_id": "EMG21",
            "sequence": 2,
            "current": false,
            "total_handling_unit": 0,
            "total_packages": 0,
            "is_next_stop": true
          }
        ]
      }
    ],
    "last_mile": [
      {
        "id": "237921083",
        "cluster": "I2_AM",
        "status": "active",
        "substatus": "started",
        "type": "last_mile",
        "initDate": 1748346566,
        "finalDate": 0,
        "driver": {
          "driverName": "Nilo Sergio Gomes Pereira",
          "driverClaims": 1,
          "contactRate": "0,2",
          "loyalty": {
            "name": "Bronce",
            "stats": [
              "471 paquetes transportados",
              "94.48% entregas exitosas",
              "99.58% entregas sin reclamos (sin PNR o lost)",
              "2 semanas con ruta",
              "7 rutas cerradas"
            ]
          }
        },
        "carrierId": "124442948",
        "carrier": "PRA LOG",
        "addressTypes": ["residential", "business"],
        "hasBusinessAddress": true,
        "hasResidentialAddress": true,
        "hasNotTaggedAddress": false,
        "plannedRoute": {
          "duration": 333,
          "progressPercent": "84,4",
          "distance": 36.35,
          "cycleName": "AM1"
        },
        "vehicle": {
          "description": "Veículo de Passeio",
          "license": "SRH5C60"
        },
        "dateFirstMovement": 1748351078,
        "hasHelper": false,
        "hasPlaces": 0,
        "hasBulky": false,
        "hasPickup": false,
        "hasBags": false,
        "deliveryType": "driver",
        "facilityId": "SRJ1",
        "facilityType": null,
        "timezone": "America/Sao_Paulo",
        "initHour": "08",
        "counters": {
          "total": 79,
          "delivered": 36,
          "notDelivered": 0,
          "pending": 43,
          "fromRoutes": 0,
          "toRoutes": 0,
          "totalBags": 0,
          "residential": 30,
          "business": 13
        },
        "hasShipmentsNotDelivered": false,
        "claims": [],
        "incidentTypes": [],
        "hasAmbulance": false,
        "claimsFilter": 0,
        "outRangeDeliveryFilter": 0,
        "failedDeliveryIndex": {
          "percent": "0",
          "shouldDisplayBadge": false
        },
        "flags": {
          "claimsCount": 0,
          "failedDeliveryIndex": {
            "percent": "0",
            "shouldDisplayBadge": false
          },
          "hasAmbulance": false,
          "hasInitialDelay": false,
          "outRangeDelivery": {
            "delivered": 0,
            "notDelivered": 0
          }
        },
        "routePerformanceScore": "NOT_OK",
        "timingData": {
          "orh": 281,
          "ozh": 206,
          "stemOut": 75,
          "stemIn": 0,
          "inactivity": {
            "inactivityValue": 4.474963958083333,
            "inactivityAlert": false
          }
        },
        "shipmentData": {
          "spr": 79,
          "delivered": 36,
          "failedDeliveries": 0
        },
        "tocTotalCases": 0,
        "isLineHaul": false,
        "notesQuantity": 0
      }
    ]
  }
} 